#
# spec file for package tokei
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tokei
Version:        13.0.0.alpha.5+git0
Release:        1.4
Summary:        Code statistics commandline tool
License:        (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND (MIT OR Unlicense) AND (Apache-2.0 OR Zlib OR MIT) AND BSD-3-Clause AND MIT AND MPL-2.0 AND (Apache-2.0 OR MIT)
URL:            https://github.com/XAMPPRocky/tokei
Source0:        %{name}-%{version}.tar.xz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging
ExclusiveArch:  %{rust_tier1_arches}

%description
Shows the number of files, total lines within those files and code, comments and blanks grouped by language.

%prep
%autosetup -a1

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/tokei
%license LICENCE-APACHE LICENCE-MIT
%doc README.md CHANGELOG.md tokei.example.toml

%changelog
* Wed Sep 25 2024 socvirnyl.estela@gmail.com
- Update to version 13.0.0.alpha.5+git0:
  * chore: release (#1150)
  * fix issue https://github.com/XAMPPRocky/tokei/issues/1147 (#1149)
  * Fix issue #1145 (part 2) (#1148)
  * chore: release (#1144)
  * fix: fix issue https://github.com/XAMPPRocky/tokei/issues/1145 (#1146)
  * Add support for Glimmer JS/TS (#1052)
  * Fix issue #1141 (#1142)
  * chore: release (#1140)
  * fix issue https://github.com/XAMPPRocky/tokei/issues/1138 (#1139)
  * chore: release (#1135)
  * Fix cargo audit issues (#1137)
  * Add support for MDX (#1046)
  * Add PRQL to README.md (#1088)
  * feat: Add support for Monkey C (#1081)
  * feat: added plantuml support (#1125)
  * add fypp extension `.fpp` to `languages.json` for Modern Fortran (#1060)
  * Add support for Lex (#1087)
  * Add d2 (#1091)
  * feat: add language Tact (#1103)
  * feat: add support for bicep (#1100)
  * Add support for Stata (#1112)
  * feat: add hledger (#1121)
  * Add support for CUE (#1049)
  * deps: bump libc from 0.2.147 to 0.2.155 (#1104)
  * feat: add SELinux CIL policy source files (#1124)
  * add cangjie language support (#1127) (#1128)
  * Add support for JSLT (#1129)
  * Add Arturo support (#1108)
  * Support Bazel's MODULE files and *.bzlmod files (#1130)
  * perf: read only first 128B from the file when searching for shebang (#1040)
  * add OpenCL as a languages.json entry (#980)
  * Add GetText Portable Object (PO) files (#814)
  * Support godot shader (#1118)
  * Add Modelica language (#1061)
  * Add menhir support (#781)
  * Update README.md
  * [issue_1114] remove Cargo.lock from .gitignore (#1115)
  * [issue_891] give more space for Files column (#933)
  * GitHub Action to publish docker images (#1096)
  * feat: --files argument now sorts alphabetically (#1059)
  * fix: read hidden from config file (#1093)
  * Support MoonBit language. (#1095)
  * Add OpenSCAD (#1097)
  * languages.json: add jinja extension for Jinja2 (#1083)
  * Fix slang (#1089)
  * Temporarily remove Hare
  * feat: add support for LALRPOP (#1077)
  * Support .pyi python file (#1075)
  * add luau extension to lua (#1066)
  * Adding support for Snakemake (#1045)
  * Add Janet to languages.json (#1042)
  * Add OpenQASM support (#1041)
  * add: typst (#1037)
  * Add the ZoKrates language (#1035)
  * Add PRQL (#1030)
  * remove refs (#1006)
  * Add lingua franca language (#993)
  * Add support for Razor Components (#992)
  * Add arch's PKGBUILD files (#972)
  * Add Hare support (#971)
  * Add Max support (#963)
  * Add support for Chapel (#960)
  * Add language support for Slang (#956)
  * Update TypeScript language (#953)
  * Added support for Circom (#949)
  * README.md: link to earthly project (#1078)
  * Update mean_bean_deploy.yml
* Wed Mar  6 2024 Joshua Smith <jsmithfpv@gmail.com>
- Enabled tests
- Fix regex in _service and fix obs_scm to not create unneeded
  tarballs
- Update to version 13.0.0.alpha.1+git0:
  * fixed language names not showing when in Light mode
  * Fix LD Script language data
  * Fix language data example in CONTRIBUTING.md
  * Update dependencies
  * Add widget install instructions
* Sun Aug 13 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Replace obsoleted `disabled` option with `manual`
* Mon Jun 26 2023 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Manually vendor dependencies.
  * Add vendor.tar.zst
- Update service file.
* Mon Jun 26 2023 socvirnyl.estela@gmail.com
- Update to version 13.0.0.alpha.0+git14:
  * add --languages ouput formatter
  * Add Nuget Config, Bazel and EdgeQL Support, Fix Output Formatter
  * show nushell in the readme
  * Add support for Redscript
  * Add support for jq
  * Add support for Astro
  * Use XDG conventions on macOS too
  * Add JSON5 support for languages.json
  * Delete Smalltalk.cs.st
  * Add support for smalltalk
  * Disable *-android
  * Add HiCAD to languages.json
  * Add Nushell to languages.json
  * Disable aarch64-linux-android
  * Add language support for SQF
  * Fix link to speed comparison in README.md
  * Add Hy support
* Sat Nov 12 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Automatic update of vendored dependencies
* Wed Sep 21 2022 socvirnyl.estela@gmail.com
- Update to version 12.1.2+git106:
  * fix issue944 (#945)
* Mon Jun 20 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Tue Apr  5 2022 William Brown <william.brown@suse.com>
- Automatic update of vendored dependencies
* Mon Mar 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update `files` section:
  * fix spelling of LICENSE to LICENCE
  * Remove docs → directory does not exist
* Mon Mar 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Update LICENSE string
* Mon Mar 28 2022 Soc Virnyl Estela <socvirnyl.estela@gmail.com>
- Initial working spec for tokei (12.1.2)
